Page 1 of 2 12 LastLast
Results 1 to 10 of 20

Thread: RPM Repository for RedHat Enterprise Linux

  1. #1
    Spry Manager Newbie
    Join Date
    May 2005
    Posts
    33

    Default RPM Repository for RedHat Enterprise Linux

    Spry no longer maintains a local RHEL RPM repository. 10/2/2007 LyleV@Spry

    Spry has a repository of pre-compiled RPMS available for RedHat Enterprise linux at:

    ftp://66.249.6.114/linux/redhat/AS/RedHat/RPMS/

    Spry's VPS versions of RedHat EL do not include up2date, as it will often break the network configurations inside of VPS accounts.
    Last edited by Lyle@Spry; 11-02-2007 at 12:47 PM. Reason: Spry no longer maintains a local RHEL RPM repository. 10/2/2007 LyleV@Spry

  2. #2
    Junior Member Newbie Andy's Avatar
    Join Date
    Oct 2005
    Location
    Derbyshire, UK
    Posts
    9

    Default Re: RPM Repository for RedHat Enterprise Linux

    Quote Originally Posted by Todd
    Spry has a repository of pre-compiled RPMS available for RedHat Enterprise linux at:

    ftp://66.249.6.114/linux/redhat/AS/RedHat/RPMS/

    Spry's VPS versions of RedHat EL do not include up2date, as it will often break the network configurations inside of VPS accounts.
    How exactly to you go about adding them?

    Andy

  3. #3
    Junior Member Newbie
    Join Date
    Apr 2005
    Posts
    8

    Default

    Andy,

    You will want to download the RPM's to your server that you're intersted in from the command line. You can use the following to download individual RPM files:

    wget http://server.com/file.rpm

    Then install with:

    rpm -Uvh file.rpm

    Good Luck!

  4. #4
    Junior Member Newbie Andy's Avatar
    Join Date
    Oct 2005
    Location
    Derbyshire, UK
    Posts
    9

    Default Thanks

    Quote Originally Posted by sprydotcom
    Andy,

    You will want to download the RPM's to your server that you're intersted in from the command line. You can use the following to download individual RPM files:

    wget http://server.com/file.rpm

    Then install with:

    rpm -Uvh file.rpm

    Good Luck!
    Cheers, works a charm! Pity my server isnt though...

    Andy

  5. #5
    Junior Member Newbie
    Join Date
    May 2005
    Posts
    2

    Default

    i used wget to take them all into my vps
    but how can i install them into my WHM ?

  6. #6
    Junior Member Newbie
    Join Date
    Oct 2005
    Posts
    14

    Default

    rpm -ivf package.rpm

  7. #7
    Junior Member Newbie
    Join Date
    Feb 2006
    Posts
    1

    Default

    Or you can cut out the middle man and do something like this:

    rpm -ihv http://server.com/file.rpm

  8. #8
    Junior Member Newbie
    Join Date
    Mar 2006
    Posts
    2

    Question xfree86 install

    I am trying to setup XFree86 on my virtual server - I have raised trouble ticket.

    It seems I have a modified kernel, I get following problem trying to install modutils-2.4.25-14.EL.i386.rpm for /sbin/insmod.static that is required by mkinitrd-3.5.13-1.i386.rpm that is required by kernel-2.4.21-27.EL.i686.rpm that is required for kernel-drm that is needed by XFree86-4.3.0-78.EL.

    I actually just need /usr/X11R6/bin/xdpyinfo for an install script for an app server.

    How do I otherwise make either XFree86 or xview (openwin) on a private virtual server? I notice you have partial imake configuration in /usr/X11R6. Is there a simple imake or xmkmf command alternative to rpm for XFree setup? What is exact paths of any arguments? Is there a simpler way to setup XFree using rpm commands?

    What is vzdummyrhas3-3.0-1.swsoft? Can I remove it?

    The above problem seems to reduce to a conflict between modutils needed for /sbin/insmod.static and vzdummyrhas3-3.0-1.swsoft
    [root@rupture RHEL_AS3.0_xfree86]# rpm -i modutils-2.4.25-14.EL.i386.rpm
    warning: modutils-2.4.25-14.EL.i386.rpm: V3 DSA signature: NOKEY, key ID db42a60e
    file /sbin/insmod from install of modutils-2.4.25-14.EL conflicts with file from package vzdummyrhas3-3.0-1.swsoft
    file /sbin/lsmod from install of modutils-2.4.25-14.EL conflicts with file from package vzdummyrhas3-3.0-1.swsoft
    file /sbin/modprobe from install of modutils-2.4.25-14.EL conflicts with file from package vzdummyrhas3-3.0-1.swsoft
    [root@rupture RHEL_AS3.0_xfree86]# rpm -qa | grep modutil
    [root@rupture RHEL_AS3.0_xfree86]# rpm -qa | grep vz
    vzdummy-glibc-locale-2.3.2-95.33.swsoft
    vzdummyrhas3-3.0-1.swsoft

  9. #9
    Junior Member Newbie
    Join Date
    Mar 2006
    Posts
    2

    Default Attach to native process failed

    I believe I have eliminated the need for XFree86 packages.

    However I get obscure error, that I think may have something to do with the VPS kernel

    On installing sun java enterprise system that is supported on RHEL AS3.0, I get

    ./installer -nodisplay
    Attach to native process failed

    Anyone got any explanation why this supported configuration may fail on a VPS with this error?

    Is there a centos version that is similar to RHEL AS3.0 or AS2.1 that I could try instead?

  10. #10
    Junior Member Newbie
    Join Date
    Dec 2006
    Posts
    1

    Default Where can I get the following rpm's

    Please help me locate the following rpms for install on RHEL AS 4? They came with the standard RHEL AS 4 install on the VPS.

    - Santosh

    php-4.3.9-3.12.1.swsoft
    php-devel-4.3.9-3.12.1.swsoft
    php-domxml-4.3.9-3.12.1.swsoft
    php-gd-4.3.9-3.12.1.swsoft
    php-imap-4.3.9-3.12.1.swsoft
    php-ldap-4.3.9-3.12.1.swsoft
    php-mbstring-4.3.9-3.12.1.swsoft
    php-mysql-4.3.9-3.12.1.swsoft
    php-ncurses-4.3.9-3.12.1.swsoft
    php-odbc-4.3.9-3.12.1.swsoft
    php-pear-4.3.9-3.12.1.swsoft
    php-pgsql-4.3.9-3.12.1.swsoft
    php-snmp-4.3.9-3.12.1.swsoft
    php-xmlrpc-4.3.9-3.12.1.swsoft

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •